.radio__tabs {
    display: flex;
    flex-direction: column;
    grid-gap: 16px;
    width: 100%;

    .radio__item {
        position: relative;
        padding: 20px;
        background-color: $main-4;
        border-radius: 8px;
        width: 100%;

        @media (max-width: 576px) {
            padding: 12px;
        }


        .radio__label {
            @include f14w400M8;
            display: flex;
            grid-gap: 12px;
            
            .circle {
                display: flex;
                align-items: center;
                justify-self: center;
                width: 16px;
                height: 16px;
                border-radius: 100%;
                border: 1px solid $main-8;
                padding: 2px;
                
                .sub-circle {
                    display: none;
                    border-radius: 100%;
                    background-color: $main-8;
                    width: 100%;
                    height: 100%;
                }
            }
        }
        
        .radio__input {
            &:checked {
                ~ .radio__label {
                    .circle {
                        .sub-circle {
                            display: block;
                        }
                    }
                }

                ~ .radio__content {
                    padding-top: 20px;
                }
            }
        }
    }   

    .radio__item:has( > .radio__input:checked) {
        background-color: transparent;
        border: 1px solid $main-4;
    }
}